<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>Кассиры</title>
    <link th:href="@{/styles/main.css}" rel="stylesheet"/>
    <link th:href="@{/styles/employees.css}" rel="stylesheet"/>
</head>
<body>
<div class="wrapper">
    <header class="header_main">
    </header>

    <div class="body_main">
        <div class="input_form">
            <p align="center">Новый кассир</p>
            <form method="post" th:action="@{/cashiers/action/save}" th:object="${newCashier}">
                <table>
                    <tr>
                        <th>Имя</th>
                        <td><label><input type="text" th:field="*{firstName}"></label></td>
                        <td th:if="${#fields.hasErrors('firstName')}" th:errors="*{firstName}">
                            First name error
                        </td>
                    </tr>

                    <tr>
                        <th>Фамилия</th>
                        <td><label><input type="text" th:field="*{lastName}"></label></td>
                        <td th:if="${#fields.hasErrors('lastName')}" th:errors="*{lastName}">
                            Last name error
                        </td>
                    </tr>
                    <tr>
                        <th>Отчество</th>
                        <td><label><input type="text" th:field="*{middleName}"></label></td>
                        <td th:if="${#fields.hasErrors('middleName')}" th:errors="*{middleName}">
                            Middle name error
                        </td>
                    </tr>
                    <tr>
                        <th>Номер бригады</th>
                        <td>
                            <label>
                                <select th:field="*{brigadeID}">
                                    <option th:each="brigadeID : ${brigadeIDList}"
                                            th:value="${brigadeID}"
                                            th:text="${brigadeID}">
                                    </option>
                                </select>
                            </label>
                        </td>
                    </tr>

                    <tr>
                        <th>Пол</th>
                        <td>
                            <label>
                                <select th:field="*{gender}">
                                    <option th:each="gender : ${genders}"
                                            th:value="${gender}"
                                            th:text="${gender}">
                                    </option>
                                </select>
                            </label>
                        </td>
                        <td th:if="${#fields.hasErrors('gender')}" th:errors="*{gender}">
                            Middle name error
                        </td>

                    </tr>
                    <tr>
                        <th>Возраст</th>
                        <td><label><input type="text" th:field="*{age}"></label></td>
                        <td th:if="${#fields.hasErrors('age')}" th:errors="*{age}">
                            Age error
                        </td>
                    </tr>

                    <tr>
                        <th>Количество детей</th>
                        <td><label><input type="text" th:field="*{amountChild}"></label></td>
                        <td th:if="${#fields.hasErrors('amountChild')}" th:errors="*{amountChild}">
                            Amount child error
                        </td>
                    </tr>

                    <tr>
                        <th>Зарплата</th>
                        <td><label><input type="text" th:field="*{salary}"></label></td>
                        <td th:if="${#fields.hasErrors('salary')}" th:errors="*{salary}">
                            Salary error
                        </td>
                    </tr>

                    <tr>
                        <th>Стаж</th>
                        <td><label><input type="text" th:field="*{standing}"></label></td>
                        <td th:if="${#fields.hasErrors('standing')}" th:errors="*{standing}">
                            Salary error
                        </td>
                    </tr>

                    <tr>
                        <th>Должность</th>
                        <td>
                            <label>
                                <select th:field="*{level}">
                                    <option th:each="level : ${levels}"
                                            th:value="${level.key}"
                                            th:text="${level.value}">
                                    </option>
                                </select>
                            </label>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <button type="submit">
                                Создать
                            </button>
                        </td>
                    </tr>
                </table>
            </form>
        </div>
    </div>

    <footer class="footer_main">
    </footer>
</div>

</body>
</html>